# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Account Updater response codes Error codes are used to debug the issues that occur because of sending badly formatted requests. The following fields are in the body of the response: - responseStatus: Valid values include SUCCESS or ERROR. SUCCESS means the request was successfully processed by card networks. ERROR is only returned for 4XX or 5XX responses. - response: This field contains a shorter description of the processing result. For 2XX responses, this may be displayed to the consumer. - responseMessage: This field contains a longer and more descriptive message about the response. > The `responseStatus`** **and `responseCode` fields are required. > ### Successful responses (200-299) In general, `2XX` HTTP status codes signify that a request has successfully processed. **HTTP 2XX status codes** | HTTP status code | response | reasonMessage | responseMessage | | --- | --- | --- | --- | | 201 | SUCCESS | NEW_ACCOUNT | Account Update provided for Account Number | | 201 | SUCCESS | NEW_EXPIRY | Account Update provided for Account Expiry | | 201 | SUCCESS | NEW_ACCOUNT_AND EXPIRY | Account Update provided for both account number and expiry | | 201 | SUCCESS | CLOSED_ACCOUNT | Account has been closed | | 201 | SUCCESS | CONTACT_CARDHOLDER | Contact Cardholder | | 201 | SUCCESS | MATCH_NO_UPDATE | Valid card no update available | | 201 | SUCCESS | NO_MATCH_NON_PARTICIPATING_BIN | BIN range does not participate in Account Updater | | 201 | SUCCESS | NO_MATCH_PARTICIPATING_BIN | Participating BIN range card not found | | 201 | SUCCESS | (not applicable) | Checking For Update | | 201 | SUCCESS | (not applicable) | Card already registered for Account Updater | | 201 | SUCCESS | PAN_OPT_OUT | Cardholder Opted Out | | 201 | SUCCESS | STOP_ADVICE_ON_MERCHANT | Stop Advice on Merchant | ### Client error responses (400–499) A `4XX` HTTP status codes indicates that an error has occurred during request and provides a list of specific codes. Additional fields are provided in the body of the response to help identify the error. Address the problem, and then resubmit the request. **HTTP 4XX status codes** | HTTP status code | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 400 | ERROR | VALIDATION_ERROR | Request contains validation error. | | 400 | ERROR | INVALID_CONTENT | Request cannot be parsed. | | 400 | ERROR | INVALID_DATA | Invalid data passed in the request. | | 400 | ERROR | MISSING_FIELD | For Example: merchant-id - Required field is missing. | | 400 | ERROR | UNSUPPORTED_ACTION | Request contains missing or invalid query parameter. | | 400 | ERROR | MERCHANT_NOT_CONFIGURED | Merchant is invalid or not configured. | | 400 | ERROR | MERCHANT_NETWORK_REGISTRATION_INCOMPLETE | Merchant not registered for service at network. | | 401 | ERROR | UNAUTHORIZED | Authorization credentials are missing or invalid. | | 403 | ERROR | NOT_AUTHORIZED | Merchant is not entitled | | 403 | ERROR | FORBIDDEN | Merchant not authorized to access the resource. | | 403 | ERROR | FORBIDDEN | Incorrect combination of Application ID and Merchant ID in the header. | | 403 | ERROR | FORBIDDEN | Incorrect Application ID in the header. | | 404 | ERROR | NOT_FOUND | Transaction was not found. | | 404 | ERROR | NOT_FOUND | Request was not found. | | 404 | ERROR | NOT_FOUND | Path to the resource is not found. | | 409 | ERROR | DUPLICATE | Duplicate transaction. | | 429 | ERROR | TOO_MANY_REQUESTS | Too many Requests - Too many requests hit JPM API or Card Scheme API too quickly. We recommend an exponential back-off of your requests. | ### Server error responses (500–599) A `5XX`** **HTTP status codes indicates that an error has occurred within the J.P. Morgan (or acquirer) environment during a request. Additional fields are provided in the body of the response to identify the error. **HTTP 5XX status codes** | HTTP status code | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 500 | ERROR | SERVER_ERROR | Server error, please retry. | | 500 | ERROR | SERVER_TIMEOUT | Request timeout, please retry | | 503 | ERROR | HOST_ERROR | Unrecognized response from the host | | 503 | ERROR | HOST_ERROR | Unspecified error at the host | | 503 | ERROR | HOST_ERROR | Acquirer error occurs processing the transaction | | 503 | ERROR | SERVICE_UNAVAILABLE | Service is unavailable | | 504 | ERROR | TIMEOUT | Request timeout |